#!/bin/bash

dest=$1
export PATH=$PATH:/sbin:/usr/sbin

if [ $# -ne 1 ] ; then
  echo "Usage: ./makeDOSboot-usbkey.sh <device short name (sda for example)>"
  exit 2
fi

if [ ! -f makeDOSboot-usbkey.sh ] ; then
  echo "You must change into the makeDOSusb directory and run the script as ./makeDOSboot-usbkey.sh"
  echo "Exiting."
  exit 1
fi

if which mkdosfs &>/dev/null ; then
  MKDOSFS=`which mkdosfs`
else
  echo "Could not find mkdosfs.  Exiting."
  exit 1
fi

#if which install-mbr &>/dev/null ; then
#  INSTALLMBR=`which install-mbr`
#else
#  echo -n "Could not find install-mbr. "
#  if [ `uname -m` == "x86_64" ] ; then
#    echo "Attempting to use included install-mbr."
#    INSTALLMBR="./install-mbr"
#  else
#    echo Exiting.
#    exit 1
#  fi
#fi

if grep -q $dest /proc/mounts ; then
  echo "/dev/$dest is present in /proc/mounts.   Refusing to continue."
  exit 1
fi

echo -n "About to reformat /dev/$dest and make it bootable.  This will erase all contents. Proceed? (y/N): "
read reply

if [ "x$reply" == "xY" -o "x$reply" == "xy" ] ; then
  true
else
  echo OK, exiting now.
  exit 0
fi

dd if=/dev/zero of=/dev/$dest bs=1M count=5
#$INSTALLMBR /dev/$dest --force
$MKDOSFS -I /dev/$dest

mkdir -p /tmp/dosusbmountpoint
mount /dev/$dest /tmp/dosusbmountpoint
cp freedos/* /tmp/dosusbmountpoint
umount /tmp/dosusbmountpoint

cd freedos-sys
./sys-freedos.pl --disk=/dev/$dest
cd -

sync
echo Your USB key should now be DOS bootable.
